<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionDestroyPart Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/df9/class_action_destroy_part.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionDestroyPart Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionDestroyPart:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/df9/class_action_destroy_part.png" usemap="#ActionDestroyPart_map" alt=""/>
  <map id="ActionDestroyPart_map" name="ActionDestroyPart_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a9aac9c6325cdef7a12db2a88fdee1cd4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df9/class_action_destroy_part.html#a9aac9c6325cdef7a12db2a88fdee1cd4">ActionDestroyPart</a> ()</td></tr>
<tr class="separator:a9aac9c6325cdef7a12db2a88fdee1cd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbd99a17a830dba042a0d1ce52e1ce3f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df9/class_action_destroy_part.html#adbd99a17a830dba042a0d1ce52e1ce3f">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:adbd99a17a830dba042a0d1ce52e1ce3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b1d568a3e3de84942ae79ca3e2f4e14"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df9/class_action_destroy_part.html#a5b1d568a3e3de84942ae79ca3e2f4e14">OnActionInfoUpdate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a5b1d568a3e3de84942ae79ca3e2f4e14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab33164d14b4386409960b61ef0980e38"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df9/class_action_destroy_part.html#ab33164d14b4386409960b61ef0980e38">CanBeUsedLeaning</a> ()</td></tr>
<tr class="separator:ab33164d14b4386409960b61ef0980e38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf4aa9bb909d75a1889792f23f92d79e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df9/class_action_destroy_part.html#acf4aa9bb909d75a1889792f23f92d79e">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:acf4aa9bb909d75a1889792f23f92d79e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af61be0a6ffec81b8ec45b9b82c9aff2e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df9/class_action_destroy_part.html#af61be0a6ffec81b8ec45b9b82c9aff2e">ActionConditionContinue</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:af61be0a6ffec81b8ec45b9b82c9aff2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d4521aa82150e0a49a03d769989ae25"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df9/class_action_destroy_part.html#a9d4521aa82150e0a49a03d769989ae25">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a9d4521aa82150e0a49a03d769989ae25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2363fe43519b3aa3f744da8ff2b00129"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df9/class_action_destroy_part.html#a2363fe43519b3aa3f744da8ff2b00129">DestroyCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item, <a class="el" href="../../d9/db9/classbool.html">bool</a> camera_check)</td></tr>
<tr class="separator:a2363fe43519b3aa3f744da8ff2b00129"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc0634cca94a279fd304200faf93344b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df9/class_action_destroy_part.html#afc0634cca94a279fd304200faf93344b">GetAdminLogMessage</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:afc0634cca94a279fd304200faf93344b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:af7ffe76ea5ec4d77bba82542bba7a1f4"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df9/class_action_destroy_part.html#af7ffe76ea5ec4d77bba82542bba7a1f4">CYCLES</a> = 4</td></tr>
<tr class="separator:af7ffe76ea5ec4d77bba82542bba7a1f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html#l00009">9</a> of file <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9aac9c6325cdef7a12db2a88fdee1cd4" name="a9aac9c6325cdef7a12db2a88fdee1cd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9aac9c6325cdef7a12db2a88fdee1cd4">&#9670;&#160;</a></span>ActionDestroyPart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDestroyPart::ActionDestroyPart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html#l00013">13</a> of file <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acf4aa9bb909d75a1889792f23f92d79e" name="acf4aa9bb909d75a1889792f23f92d79e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf4aa9bb909d75a1889792f23f92d79e">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDestroyPart::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html#l00041">41</a> of file <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a>.</p>

</div>
</div>
<a id="af61be0a6ffec81b8ec45b9b82c9aff2e" name="af61be0a6ffec81b8ec45b9b82c9aff2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af61be0a6ffec81b8ec45b9b82c9aff2e">&#9670;&#160;</a></span>ActionConditionContinue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDestroyPart::ActionConditionContinue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html#l00050">50</a> of file <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a>.</p>

</div>
</div>
<a id="ab33164d14b4386409960b61ef0980e38" name="ab33164d14b4386409960b61ef0980e38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab33164d14b4386409960b61ef0980e38">&#9670;&#160;</a></span>CanBeUsedLeaning()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDestroyPart::CanBeUsedLeaning </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html#l00036">36</a> of file <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a>.</p>

</div>
</div>
<a id="adbd99a17a830dba042a0d1ce52e1ce3f" name="adbd99a17a830dba042a0d1ce52e1ce3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbd99a17a830dba042a0d1ce52e1ce3f">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDestroyPart::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html#l00024">24</a> of file <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a>.</p>

</div>
</div>
<a id="a2363fe43519b3aa3f744da8ff2b00129" name="a2363fe43519b3aa3f744da8ff2b00129"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2363fe43519b3aa3f744da8ff2b00129">&#9670;&#160;</a></span>DestroyCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDestroyPart::DestroyCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>camera_check</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html#l00087">87</a> of file <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a>.</p>

</div>
</div>
<a id="afc0634cca94a279fd304200faf93344b" name="afc0634cca94a279fd304200faf93344b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc0634cca94a279fd304200faf93344b">&#9670;&#160;</a></span>GetAdminLogMessage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionDestroyPart::GetAdminLogMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html#l00126">126</a> of file <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a>.</p>

</div>
</div>
<a id="a5b1d568a3e3de84942ae79ca3e2f4e14" name="a5b1d568a3e3de84942ae79ca3e2f4e14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b1d568a3e3de84942ae79ca3e2f4e14">&#9670;&#160;</a></span>OnActionInfoUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDestroyPart::OnActionInfoUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html#l00030">30</a> of file <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a>.</p>

</div>
</div>
<a id="a9d4521aa82150e0a49a03d769989ae25" name="a9d4521aa82150e0a49a03d769989ae25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d4521aa82150e0a49a03d769989ae25">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDestroyPart::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html#l00055">55</a> of file <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="af7ffe76ea5ec4d77bba82542bba7a1f4" name="af7ffe76ea5ec4d77bba82542bba7a1f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7ffe76ea5ec4d77bba82542bba7a1f4">&#9670;&#160;</a></span>CYCLES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionDestroyPart::CYCLES = 4</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html#l00011">11</a> of file <a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../d3/d91/_action_destroy_part_8c_source.html">ActionDestroyPart.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/df9/class_action_destroy_part.html">ActionDestroyPart</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
